<?php
namespace Ak\Wp\Model\Entity;

use Ak\Orm\Entity\AbstractEntity;
use Ak\Wp\Model\UserInterface;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class User
 *
 * @package Ak\Orm\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-model
 *
 * @ORM\Entity()
 * @ORM\Table(name="wp_users", options={"charset": "utf8mb4", "collate": "utf8mb4_general_ci"})
 */
class User extends AbstractEntity implements UserInterface
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue(strategy="AUTO")
     * @ORM\Column(name="ID", type="bigint", options={"unsigned": true})
     */
    protected ?int $id = null;

    /**
     * @var string
     *
     * @ORM\Column(name="user_email", type="string")
     */
    protected string $emailAddress = '';

    /**
     * Vraća email adresu korisnika.
     *
     * @return string
     */
    public function getEmailAddress(): string
    {
        return $this->emailAddress;
    }
}
